﻿// alle paginamakros uit de directory sMacropath_Tags invoegen

using System.IO;
using System.Diagnostics;


public class Insert_All_PageMacro
{
    [Start]
    public void Insert_All_PageMacroVoid()
    {
         MessageBox.Show("1: Wachten op het scherm Structuur aanpassen"  +  System.Environment.NewLine +
                         "2: Het vinkje bij paginanaam automatisch moet uit gezet worden"  +  System.Environment.NewLine +
                         "3: CTRL+SHIFT+k drukken"  +  System.Environment.NewLine +
                         "4: De blauwe titelbalk aanklikken"  +  System.Environment.NewLine +
                         "5: De knop Beginwaarden aanklikken"  +  System.Environment.NewLine +
                         "6: De knop OK aanklikken"  +  System.Environment.NewLine +
                         "7: Wachten de routine klaar is");

        DateTime begintijd = DateTime.UtcNow;
        int Tag_teller = 0;
        string toetsensimulator = PathMap.SubstitutePath("$(MD_SCRIPTS)") + @"\Make2Clicks.ahk";

        System.Diagnostics.Process.Start(toetsensimulator);

        string sMacropath_Tags = PathMap.SubstitutePath("$(MD_MACROS)") + @"\Typicals\Tags\"; // De makros moeten in deze directory staan
        DirectoryInfo Tag_dir = new DirectoryInfo(sMacropath_Tags);
        FileInfo[] empfiles = Tag_dir.GetFiles("*.emp");
        foreach(FileInfo Tagfile in empfiles)
        {
           Tag_teller++;
           string strFilename = sMacropath_Tags + Tagfile.Name;

                         ActionCallingContext oAcc = new ActionCallingContext();
                         CommandLineInterpreter oCLI = new CommandLineInterpreter();

                         oAcc.AddParameter("filename", strFilename);
                         oCLI.Execute("XMInsertPageMacro", oAcc);
         // zie regBasic.xml
        }



            System.Diagnostics.Process[] processes;
            processes = System.Diagnostics.Process.GetProcesses();
            foreach (System.Diagnostics.Process instance in processes)
            {
                   // MessageBox.Show(instance.ProcessName);
                    if(instance.ProcessName == "AutoHotkey")
                    {
                     instance.Kill();
                    }
            }
         DateTime eindtijd = DateTime.UtcNow;
         MessageBox.Show("Doorlooptijd: " + (eindtijd-begintijd).TotalSeconds + " seconden" +  System.Environment.NewLine + "aantal Tags: " + Tag_teller);
     }
}